"""
Storm Logger - ULTIMATE Enterprise Logging Revolution
Modern architecture with sophisticated Django integration and business intelligence
"""

# Core logging system (the main attraction)
from .core.logger import StormLogger, get_storm_logger, get_logger, setup_storm_logging

# Configuration system
from .config import StormLoggerConfig, LogLevel, Framework, StormTheme, get_config, set_config

# Django integration (the sophisticated way)
from .integrations.django_config import DjangoStormLoggerConfig, get_django_config, configure_django_storm_logging

# Framework integrations
from .integrations.django import DjangoStormLogger, configure_django_logging
from .integrations.standalone import StandaloneStormLogger, configure_standalone_logging

# Professional logger (modern architecture)
from .professional_logger import StormProfessionalLogger, get_professional_logger

__version__ = "2.0.2"  # Patch release - First PyPI deployment
__all__ = [
    # Core essentials
    "StormLogger",
    "get_storm_logger", 
    "get_logger",
    "setup_storm_logging",
    
    # Configuration system
    "StormLoggerConfig",
    "LogLevel",
    "Framework", 
    "StormTheme",
    "get_config",
    "set_config",
    
    # Django integration (sophisticated)
    "DjangoStormLoggerConfig",
    "get_django_config",
    "configure_django_storm_logging",
    
    # Framework integrations
    "DjangoStormLogger",
    "configure_django_logging",
    "StandaloneStormLogger", 
    "configure_standalone_logging",
    
    # Professional logger
    "StormProfessionalLogger",
    "get_professional_logger",
]